const express = require("express");
const axios = require("axios");
const app = express();

const url = "https://jsonplaceholder.typicode.com/posts";

// url - http://localhost:2410/
app.get("/", async (req, res) => {
  try {
    console.log("Making axios call");
    const response = await axios.get(url);
    res.status(200).json({ data: response.data });
  } catch (err) {
    console.log(err);
    res.status(500).json({ msg: "something bad has occurred." });
  }
});

// url - http://localhost:2410/1
app.get("/:id", async (req, res) => {
  try {
    let postId = req.params.id;
    console.log("Making axios call with post id= " + postId);
    const response = await axios.get(url + "/" + postId);
    res.status(200).json({ data: response.data });
  } catch (err) {
    console.log(err);
    res.status(500).json({ msg: "something bad has occurred." });
  }
});

// driver code
const port = 2410;
app.listen(port, () =>
  console.log(`app is listening on : http://localhost:${port}`)
);
